Get Abandon Calls (Basic Authentication)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

When a contact center receives a call and it is ended before any interaction occurs, this type of call is known as an abandoned call. This API is used to get the abandoned call data.


šŸ“˜

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

šŸ‘

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Possible responses

Success response

{

"message": [{
"monitorUCID": xxx,
"type": "Manual",
"status": "NotAnswered",
"campaign": "xxx",
"callerID": "xxx",
"did": "xxx",
"skillID": "",
"skill": "",
"agentID": "4006",
"agent": "xxx",
"hangupBy": "AgentHangup",
"callTime": "2025-09-01 11:49:33"
}

],"status": "success"
}

If userName is invalid

{

"status": "false","message": "Invalid User Details",
"data": null
}

if apiKey is invalid

{

"status": "false","message": "Invalid User Details",
"data": null
}

Body Params
string
required

CloudAgent account name

string

Start time in HH:MM:SS format, if you want filter for the day.

string

End time in HH:MM:SS format, if you want filter for the day.

string

Name of the campaign, if you want the data for a campaign.

Headers
string
required

Your account API Key.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json